Name: drakwizard
Version: 4.3
Release: %mkrel 3
Source0: %{name}-%{version}.tar.xz
Source1: %name.png
License: GPL
Group: System/Configuration
Requires: perl-base
Requires: usermode
Requires: perl-Locale-gettext
Requires: perl-Libconf
BuildRequires: gettext-base
BuildRequires: perl-base
BuildArch: noarch
Obsoletes: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix
Provides: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix
Summary: Wizard Launcher and its collection of wizards

%description
drakwizard allows you to launch :
- server wizard: configures basic services.
- global wizard: wizard that launch each other.
- dhcpd, dns, ftp, apache, time wizards, ssh.


%prep
%setup -q

%install
rm -rf %buildroot
%makeinstall
%find_lang %{name}

%files -f %{name}.lang
%doc TODO README.adding_wizard
%config(noreplace) %_sysconfdir/gnome-vfs-2.0/vfolders/*
%_sbindir/drakwizard
%{perl_vendorlib}/MDK/Wizard/Apache.pm
%{perl_vendorlib}/MDK/Wizard/Varspaceval.pm
%{perl_vendorlib}/MDK/Wizard/Wizcommon.pm
%{perl_vendorlib}/MDK/Wizard/Wizcommon_gtk3.pm
%{perl_vendorlib}/MDK/Wizard/IFCFG.pm
%_datadir/wizards/desktop/*

%{perl_vendorlib}/MDK/Wizard/Bind.pm
%{perl_vendorlib}/MDK/Wizard/Dhcp.pm
%{perl_vendorlib}/MDK/Wizard/Ntp.pm
%{perl_vendorlib}/MDK/Wizard/Proftpd.pm
%{perl_vendorlib}/MDK/Wizard/Squid.pm
%{perl_vendorlib}/MDK/Wizard/Sshd.pm

%_datadir/wizards/sshd_wizard
%_datadir/wizards/dhcp_wizard
%_datadir/wizards/dns_wizard
%_datadir/wizards/ftp_wizard
%_datadir/wizards/proxy_wizard


%changelog
* Thu Feb 25 2016 bb <bb> 4.3-2pclos2016
- fix apache.pm to call proper package
- to install on pclos

* Sun Feb 14 2016 bb <bb> 4.3-1pclos2016
- import from france for pclos with mods
